<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KUser</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KUser Class Reference</h1>
<code>from PyKDE4.kdecore import *</code>
<p>



<h2>Detailed Description</h2>

<p>\class KUser kuser.h &lt;KUser&gt;
</p>
<p>
Represents a user on your system
</p>
<p>
This class represents a user on your system. You can either get
information about the current user, of fetch information about
a user on the system. Instances of this class will be explicitly shared,
so copying objects is very cheap and you can safely pass objects by value.
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Tim Jansen &lt;tim@tjansen.de&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj180292940">UIDMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;UseEffectiveUID, UseRealUserID&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj180636140">UserProperty</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;FullName, RoomNumber, WorkPhone, HomePhone&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180292780">__init__</a> (self, KUser.UIDMode mode=KUser.UseEffectiveUID)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180291564">__init__</a> (self, K_UID uid)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180622636">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180623596">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180624396">__init__</a> (self, passwd p)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180622956">__init__</a> (self, <a href="../kdecore/KUser.html">KUser</a> user)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180636012">faceIconPath</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180615724">fullName</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">K_GID&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180614828">gid</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180637548">groupNames</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[<a href="../kdecore/KUserGroup.html">KUserGroup</a>]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180637196">groups</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180635084">homeDir</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180616588">isSuperUser</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180614604">isValid</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180616940">loginName</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180293612">operator !=</a> (self, <a href="../kdecore/KUser.html">KUser</a> user)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180293260">operator ==</a> (self, <a href="../kdecore/KUser.html">KUser</a> user)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180636908">property</a> (self, KUser.UserProperty which)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180634380">shell</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">K_UID&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180613164">uid</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180302764">allUserNames</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[<a href="../kdecore/KUser.html">KUser</a>]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180303308">allUsers</a> ()</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj180292780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KUser.UIDMode&nbsp;</td>
<td class="paramname"><em>mode=KUser.UseEffectiveUID</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an object that contains information about the current user.
(as returned by getuid(2) or geteuid(2), taking $LOGNAME/$USER into
account).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>mode</em>&nbsp;</td><td> if #UseEffectiveUID is passed the effective
user is returned.
If #UseRealUserID is passed the real user will be
returned.
The real UID will be different than the effective UID in setuid
programs; in
such a case use the effective UID for checking permissions, and
the real UID for displaying information about the user.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180291564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">K_UID&nbsp;</td>
<td class="paramname"><em>uid</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an object for the user with the given user id.
If the user does not exist isValid() will return false.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>uid</em>&nbsp;</td><td> the user id
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180622636"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an object that contains information about the user with the given
name. If the user does not exist isValid() will return false.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> the name of the user
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180623596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an object that contains information about the user with the given
name. If the user does not exist isValid() will return false.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> the name of the user
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180624396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">passwd&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an object from a passwd structure.
If the pointer is null isValid() will return false.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>p</em>&nbsp;</td><td> the passwd structure to create the user from
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180622956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUser.html">KUser</a>&nbsp;</td>
<td class="paramname"><em>user</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an object from another KUser object
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>user</em>&nbsp;</td><td> the user to create the new object from
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180302764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> allUserNames</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns all user names of the system.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> all user names of the system.
</dd></dl>
</p></div></div><a class="anchor" name="obj180303308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[<a href="../kdecore/KUser.html">KUser</a>] allUsers</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns all users of the system.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> all users of the system.
</dd></dl>
</p></div></div><a class="anchor" name="obj180636012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> faceIconPath</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The path to the user's face file.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the path to the user's face file or QString() if no
face has been set
</dd></dl>
</p></div></div><a class="anchor" name="obj180615724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> fullName</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The full name of the user.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the full name of the user or QString() if user is invalid
</dd></dl> <dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> use property(KUser.FullName) instead
</dd></dl>
</p></div></div><a class="anchor" name="obj180614828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">K_GID gid</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the group id of the user.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the id of the group or -1 if user is invalid
</dd></dl>
</p></div></div><a class="anchor" name="obj180637548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> groupNames</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns all group names of the user
<dl class="return" compact><dt><b>Returns:</b></dt><dd> all group names of the user
</dd></dl>
</p></div></div><a class="anchor" name="obj180637196"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[<a href="../kdecore/KUserGroup.html">KUserGroup</a>] groups</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns all groups of the user
<dl class="return" compact><dt><b>Returns:</b></dt><dd> all groups of the user
</dd></dl>
</p></div></div><a class="anchor" name="obj180635084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> homeDir</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The path to the user's home directory.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the home directory of the user or QString() if the
user is invalid
</dd></dl>
</p></div></div><a class="anchor" name="obj180616588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSuperUser</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Checks whether the user is the super user (root).
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the user is root
</dd></dl>
</p></div></div><a class="anchor" name="obj180614604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isValid</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if the user is valid. A KUser object can be invalid if
you created it with an non-existing uid or name.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the user is valid
</dd></dl>
</p></div></div><a class="anchor" name="obj180616940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> loginName</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The login name of the user.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the login name of the user or QString() if user is invalid
</dd></dl>
</p></div></div><a class="anchor" name="obj180293612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool operator !=</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUser.html">KUser</a>&nbsp;</td>
<td class="paramname"><em>user</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Two KUser objects are not equal if uid() are not identical.
Invalid users always compare unequal.
</p></div></div><a class="anchor" name="obj180293260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool operator ==</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUser.html">KUser</a>&nbsp;</td>
<td class="paramname"><em>user</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Two KUser objects are equal if the uid() are identical.
Invalid users never compare equal.
</p></div></div><a class="anchor" name="obj180636908"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a> property</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KUser.UserProperty&nbsp;</td>
<td class="paramname"><em>which</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns an extended property.
</p>
<p>
Under Windows, <b>RoomNumber,</b> <b>WorkPhone</b> and <b>HomePhone</b> are unsupported.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> a QVariant with the value of the property or an invalid QVariant,
if the property is not set
</dd></dl>
</p></div></div><a class="anchor" name="obj180634380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> shell</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The path to the user's login shell.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the login shell of the user or QString() if the
user is invalid
</dd></dl>
</p></div></div><a class="anchor" name="obj180613164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">K_UID uid</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the user id of the user.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the id of the user or -1 if user is invalid
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj180292940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">UIDMode</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>UseEffectiveUID</em>&nbsp;</td><td><tr><td valign="top"><em>UseRealUserID</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj180636140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">UserProperty</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>FullName</em>&nbsp;</td><td><tr><td valign="top"><em>RoomNumber</em>&nbsp;</td><td><tr><td valign="top"><em>WorkPhone</em>&nbsp;</td><td><tr><td valign="top"><em>HomePhone</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
